For use with Sonos firmware 7.0 and above

Lode for Sonos Firmware 1.4.19